org.codehaus.plexus.component.manager

## Class AbstractComponentManager

- java.lang.Object
- - org.codehaus.plexus.component.manager.AbstractComponentManager

All Implemented Interfaces:
  Cloneable, ComponentManager

Direct Known Subclasses:
  ClassicSingletonComponentManager, KeepAliveSingletonComponentManager, PerLookupComponentManager

    public abstract class AbstractComponentManager
    extends Object
    implements ComponentManager, Cloneable

### Field Summary

### Fields inherited from interface org.codehaus.plexus.component.manager.ComponentManager

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractComponentManager()`

### Method Summary

Methods
`protected boolean` `connected()`
`ComponentManager` `copy()`
`protected Object` `createComponentInstance()`
`protected void` `decrementConnectionCount()`
`protected void` `endComponentLifecycle(Object component)`
`ComponentDescriptor` `getComponentDescriptor()`
`int` `getConnections()`
`PlexusContainer` `getContainer()`
`String` `getId()`
`LifecycleHandler` `getLifecycleHandler()`
`Logger` `getLogger()`
`protected void` `incrementConnectionCount()`
`void` `initialize()`
`void` `resume(Object component)`
`void` `setup(PlexusContainer container, LifecycleHandler lifecycleHandler, ComponentDescriptor componentDescriptor)`
`protected void` `startComponentLifecycle(Object component)`
`void` `suspend(Object component)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.codehaus.plexus.component.manager.ComponentManager

`dispose, getComponent, release`

### Constructor Detail

#### AbstractComponentManager

    public AbstractComponentManager()

### Method Detail

#### copy

    public ComponentManager copy()

Specified by:
  `copy` in interface `ComponentManager`

#### getComponentDescriptor

    public ComponentDescriptor getComponentDescriptor()

Specified by:
  `getComponentDescriptor` in interface `ComponentManager`

#### getId

    public String getId()

Specified by:
  `getId` in interface `ComponentManager`

#### getLifecycleHandler

    public LifecycleHandler getLifecycleHandler()

Specified by:
  `getLifecycleHandler` in interface `ComponentManager`

#### incrementConnectionCount

    protected void incrementConnectionCount()

#### decrementConnectionCount

    protected void decrementConnectionCount()

#### connected

    protected boolean connected()

#### getConnections

    public int getConnections()

Specified by:
  `getConnections` in interface `ComponentManager`

#### setup

    public void setup(PlexusContainer container,
             LifecycleHandler lifecycleHandler,
             ComponentDescriptor componentDescriptor)

Specified by:
  `setup` in interface `ComponentManager`

#### initialize

    public void initialize()

Specified by:
  `initialize` in interface `ComponentManager`

#### createComponentInstance

    protected Object createComponentInstance()
                                      throws ComponentInstantiationException,
                                             ComponentLifecycleException

Throws:
  `ComponentInstantiationException`
  `ComponentLifecycleException`

#### startComponentLifecycle

    protected void startComponentLifecycle(Object component)
                                    throws ComponentLifecycleException

Throws:
  `ComponentLifecycleException`

#### suspend

    public void suspend(Object component)
                 throws ComponentLifecycleException

Specified by:
  `suspend` in interface `ComponentManager`
Throws:
  `ComponentLifecycleException`

#### resume

    public void resume(Object component)
                throws ComponentLifecycleException

Specified by:
  `resume` in interface `ComponentManager`
Throws:
  `ComponentLifecycleException`

#### endComponentLifecycle

    protected void endComponentLifecycle(Object component)
                                  throws ComponentLifecycleException

Throws:
  `ComponentLifecycleException`

#### getContainer

    public PlexusContainer getContainer()

Specified by:
  `getContainer` in interface `ComponentManager`

#### getLogger

    public Logger getLogger()